#!/usr/bin/env ruby
$VERBOSE = true; $:.unshift File.dirname($0)

require 'Qt'

a = TQt::Application.new(ARGV)

box = TQt::VBox.new()
box.resize(200, 120)

quit = TQt::PushButton.new('Quit', box)
quit.setFont(TQt::Font.new('Times', 18, TQt::Font::Bold))

a.connect(quit, TQ_SIGNAL('clicked()'), TQ_SLOT('quit()'))

a.setMainWidget(box)
box.show

a.exec
exit
